: Class Comms

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FreeTest
Class Comms

    java.lang.Object
      |
      +--FreeTest.Comms

public class Comms
extends java.lang.Object

Field Summary
`protected java.util.Vector` | `checkStack`
`protected static java.lang.String` | `ER_address`
`protected static java.lang.String` | `er_public_key`
`protected static java.lang.String` | `fc_private_key`
`protected static int` | `freePort`
`protected boolean` | `isStress`
`protected static java.lang.String` | `R_address`
`protected static java.lang.String` | `rt_public_key` public and private keys for communications
`protected java.util.Date` | `stressAfter`
`protected java.util.Date` | `stressBefore`
`protected int` | `stressClients`
`protected int` | `stressCount`
`protected int` | `stressResult`

Constructor Summary
`protected` | `Comms()`

Method Summary
`protected void` | `doneStress()`
`protected java.util.Date` | `getCheck()`
`protected java.lang.String` | `getFromServer()`
`protected java.lang.String` | `getMessage()`
`protected java.lang.String` | `getsession_key()`
`protected char` | `getType()`
`protected void` | `sendAuth(java.lang.String data)` sendAuth dispatches a packet to the ERServer for voter authentication
`protected void` | `sendAuth2(java.lang.String data, java.lang.String MAC)` sendAuth2 dispatches a packet to the ERServer for voter authentication it also doesn't calculate a MAC
`protected void` | `sendDiag(java.lang.String msg)` sendDiag dispatches any diagnostic packets
`protected void` | `sendKey(java.lang.String akey)` sendKey delivers a key to an ERServer for confirming someone has voted.
`protected void` | `sendVote(java.lang.String party)` sendVote creates check date for security and sends vote packet
`protected void` | `sendVote2(java.lang.String data)` sendVote2 does not create check date for security sends vote packet
`protected void` | `sendVote3(java.lang.String party, java.lang.String MAC)` sendVote3 creates check date for security and sends vote packet, but does not create MAC, this is supplied
`protected void` | `setCheck(java.util.Date t)`
`protected void` | `setFromServer(java.lang.String x)`
`protected void` | `setMessage(java.lang.String t)`
`protected void` | `setsession_key(java.lang.String x)`
`protected void` | `setType(char t)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### R_address

    protected static final java.lang.String R_address

### ER_address

    protected static final java.lang.String ER_address

### freePort

    protected static final int freePort

### rt_public_key

    protected static final java.lang.String rt_public_key

  public and private keys for communications

### er_public_key

    protected static final java.lang.String er_public_key

### fc_private_key

    protected static final java.lang.String fc_private_key

### stressResult

    protected int stressResult

### stressBefore

    protected java.util.Date stressBefore

### stressAfter

    protected java.util.Date stressAfter

### isStress

    protected boolean isStress

### stressClients

    protected int stressClients

### stressCount

    protected int stressCount

### checkStack

    protected java.util.Vector checkStack

Constructor Detail

### Comms

    protected Comms()

Method Detail

### setFromServer

    protected void setFromServer(java.lang.String x)

### getFromServer

    protected java.lang.String getFromServer()

### getsession_key

    protected java.lang.String getsession_key()

### setsession_key

    protected void setsession_key(java.lang.String x)

### getCheck

    protected java.util.Date getCheck()

### setCheck

    protected void setCheck(java.util.Date t)

### getMessage

    protected java.lang.String getMessage()

### setMessage

    protected void setMessage(java.lang.String t)

### getType

    protected char getType()

### setType

    protected void setType(char t)

### doneStress

    protected void doneStress()

### sendVote

    protected void sendVote(java.lang.String party)

  sendVote creates check date for security and sends vote packet
  Parameters:
    `party` - String to hold voter's choice

### sendVote2

    protected void sendVote2(java.lang.String data)

  sendVote2 does not create check date for security sends vote packet
  Parameters:
    `party` - String to hold voter's choice

### sendVote3

    protected void sendVote3(java.lang.String party,
                             java.lang.String MAC)

  sendVote3 creates check date for security and sends vote packet, but does not create MAC, this is supplied
  Parameters:
    `party` - String to hold voter's choice
    `MAC` - Holds pseudo MAC to be sent

### sendAuth

    protected void sendAuth(java.lang.String data)

  sendAuth dispatches a packet to the ERServer for voter authentication
  Parameters:
    `data` - Carries username, code and password

### sendAuth2

    protected void sendAuth2(java.lang.String data,
                             java.lang.String MAC)

  sendAuth2 dispatches a packet to the ERServer for voter authentication it also doesn't calculate a MAC
  Parameters:
    `data` - Carries username, code and password
    `MAC` - Fake MAC for insertion

### sendKey

    protected void sendKey(java.lang.String akey)
                    throws java.lang.Exception

  sendKey delivers a key to an ERServer for confirming someone has voted.
  Parameters:
    `akey` - The key to send

### sendDiag

    protected void sendDiag(java.lang.String msg)

  sendDiag dispatches any diagnostic packets
  Parameters:
    `msg` - Data for packet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD